org.apache.cassandra.tools.nodetool.stats

## Class CompactionHistoryPrinter.DefaultPrinter

- java.lang.Object
- - org.apache.cassandra.tools.nodetool.stats.CompactionHistoryPrinter.DefaultPrinter

- All Implemented Interfaces:
    StatsPrinter<CompactionHistoryHolder>
  Enclosing class:
    CompactionHistoryPrinter

      public static class CompactionHistoryPrinter.DefaultPrinter
      extends java.lang.Object
      implements StatsPrinter<CompactionHistoryHolder>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.tools.nodetool.stats.StatsPrinter

      `StatsPrinter.JsonPrinter<T extends StatsHolder>, StatsPrinter.YamlPrinter<T extends StatsHolder>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPrinter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `print(CompactionHistoryHolder data, java.io.PrintStream out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultPrinter

          public DefaultPrinter()

  - ### Method Detail

    - #### print

          public void print(CompactionHistoryHolder data,
                            java.io.PrintStream out)

      Specified by:
        `print` in interface `StatsPrinter<CompactionHistoryHolder>`

Copyright © 2018 The Apache Software Foundation